Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.collaboration.discussion
Class DiscussionPermission

    java.lang.Object
      com.plumtree.remote.prc.collaboration.discussion.DiscussionPermission

public class DiscussionPermission
extends java.lang.Object

An enumerated type used to represent permission to perform a specific action on a Discussion, used in `IDiscussion.isActionAllowed`.

Field Summary
`static DiscussionPermission` | `ATTACH_LINKS` Permission to attach links to a discussion.
`static DiscussionPermission` | `CREATE` Permission to create a discussion.
`static DiscussionPermission` | `DELETE` Permission to delete a discussion.
`static DiscussionPermission` | `EDIT` Permission to edit a discussion.
`static DiscussionPermission` | `EDIT_SECURITY` Permission to edit discussion security.
`static DiscussionPermission` | `POST` Permission to create a post in a discussion.

Method Summary
`java.lang.Object` | `getUnderlyingObject()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ATTACH_LINKS

    public static final DiscussionPermission ATTACH_LINKS

  Permission to attach links to a discussion.

### CREATE

    public static final DiscussionPermission CREATE

  Permission to create a discussion.

### DELETE

    public static final DiscussionPermission DELETE

  Permission to delete a discussion.

### EDIT

    public static final DiscussionPermission EDIT

  Permission to edit a discussion.

### EDIT_SECURITY

    public static final DiscussionPermission EDIT_SECURITY

  Permission to edit discussion security.

### POST

    public static final DiscussionPermission POST

  Permission to create a post in a discussion.

Method Detail

### toString

    public java.lang.String toString()

### getUnderlyingObject

    public java.lang.Object getUnderlyingObject()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.